libtss2-dev_2.1.0-4+b1_amd64.deb


Advertisement

Description

libtss2-dev - TPM2 Software stack library - development files

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package filename libtss2-dev_2.1.0-4+b1_amd64.deb
Package name libtss2-dev
Package version 2.1.0
Package release 4+b1
Package architecture amd64
Package type deb
Category devel::library libdevel role::devel-lib
Homepage https://github.com/01org/TPM2.0-TSS
License -
Maintainer Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
Download size 54.84 KB
Installed size 375.00 KB

Alternatives

Package Version Architecture Repository
libtss2-dev_2.1.0-4_i386.deb 2.1.0 i386 Debian Main
libtss2-dev - - -

Requires

Name Value
libgcrypt20-dev -
libtss2-esys0 = 2.1.0-4+b1

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libtss2-dev_2.1.0-4+b1_amd64.deb
Source Package tpm2-tss

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libtss2-dev deb package:
    # sudo apt-get install libtss2-dev

Files

Path
/usr/include/tss2/tss2_common.h
/usr/include/tss2/tss2_esys.h
/usr/include/tss2/tss2_mu.h
/usr/include/tss2/tss2_sys.h
/usr/include/tss2/tss2_tcti.h
/usr/include/tss2/tss2_tcti_device.h
/usr/include/tss2/tss2_tcti_mssim.h
/usr/include/tss2/tss2_tpm2_types.h
/usr/lib/x86_64-linux-gnu/libtss2-esys.so
/usr/lib/x86_64-linux-gnu/libtss2-mu.so
/usr/lib/x86_64-linux-gnu/libtss2-sys.so
/usr/lib/x86_64-linux-gnu/libtss2-tcti-device.so
/usr/lib/x86_64-linux-gnu/libtss2-tcti-mssim.so
/usr/lib/x86_64-linux-gnu/pkgconfig/tss2-esys.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/tss2-mu.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/tss2-sys.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/tss2-tcti-device.pc
/usr/lib/x86_64-linux-gnu/pkgconfig/tss2-tcti-mssim.pc
/usr/share/doc/libtss2-dev/changelog.Debian.amd64.gz
/usr/share/doc/libtss2-dev/changelog.Debian.gz
/usr/share/doc/libtss2-dev/changelog.gz
/usr/share/doc/libtss2-dev/copyright
/usr/share/man/man7/tss2-tcti-device.7.gz
/usr/share/man/man7/tss2-tcti-mssim.7.gz

Changelog

2019-01-30 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (2.1.0-4) unstable; urgency=low
* Change tss user home directory to /var/lib/tpm.
- Tries to comply with trousers mentioned in #918979
* Add empty var/lib/tpm directory (Closes: #918972)
2019-01-10 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (2.1.0-3) unstable; urgency=medium
* libtss2-dev: fix missing Depends: libgcrypt20-dev (Closes: #918749)
* Bump Standards-Version to 4.3.0: nothing needs to be changed.
2018-10-27 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (2.1.0-2) unstable; urgency=low
* Add 0001-test-fix-tpm2b-unit-tests-failing-on-big-endian.patch
- From upstream commit eeb5a2fddce43d00eb5d8aa7c61b099bdf87a9f4
- Fixes unit test failed (Closes: #910858)
- Thanks to Tadeusz Struk <tadeusz.struk@intel.com> who fixes the bug
- Thanks to Philipp Kern <pkern@debian.org> who helps forward and test
2018-10-05 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (2.1.0-1) unstable; urgency=low
* New upstream release
- Rename the package from libsapi* to libtss2* for the upstream
changes the soname and library name
- Remove lib*-utils package. No utils anymore on 2.x.x
- Add libtss2-udev for installing udev rules
* debian/control: Remove broken Vcs-Git and Vcs-Homepage
* Remove debian/patches: All patches are in the upstream already.
2018-04-21 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (1.4.0-2) unstable; urgency=low
* Fix FTBFS on big-endian architectures. (Closes: #896144)
2018-04-18 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (1.4.0-1) unstable; urgency=low
* New upstream release
- Remove 0001_build_Add_libsapi_to_LDADD_for_sapi_util_unit_tests.patch:
upstream accepts the patch already.
- Add 0001_bootstrap_not_using_git.patch: Don't use git in  bootstrap
script.
2018-02-12 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (1.3.0-1) unstable; urgency=low
[ Ying-Chun Liu (PaulLiu) ]
* New upstream release
* debian/rule: Enable unit tests
- debian/control: Add cmocka to build dependency
* debian/control: Fix Vcs-Git and Vcs-Browser URL
* Bump debhelper version to 10. Removing build depends on dh-systemd
* Add 0001_build_Add_libsapi_to_LDADD_for_sapi_util_unit_tests.patch
- Fix unit test fail.
* debian/control: Remove build depends on dh-autoreconf
* Bump Standards-Version to 4.1.3: nothing needs to be changed
* libsapi-utils: remove resourcemgr. Should be replaced by tpm2-abrmd
2017-01-17 - Ying-Chun Liu (PaulLiu) <paulliu@debian.org>
tpm2-tss (1.0-1) unstable; urgency=low
[ Ivan Hu ]
* Update to upstream version 1.0
- Change soname to libsapi0
- Add debian/clean to remove unclean files
* Add binary executables from test to usr/bin
[ Ying-Chun Liu (PaulLiu) ]
* Initial upload to Debian (Closes: #815846)
* Add manpages.
2016-06-20 - Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
tpm2-tss (0.98+20160226.d4f23cc-1) unstable; urgency=medium
* Initial upload.
2016-04-04 - Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>
tpm2-tss (0.98+20160226.d4f23cc-0ubuntu2) xenial; urgency=medium
* debian/libtss2-utils.tpm2-resourcemgr.service: ship a systemd unit to be
able to use TPM 2.0 tools as soon as libtss2-utils is installed.
(LP: #1566027)
* debian/libtss2-utils.tpm2-resourcemgr.default: ship a simple defaults file
to customize start options for the systemd unit.
* debian/rules, debian/control: enable dh-system for the new init script.

See Also

Package Description
libtss2-esys0_2.1.0-4+b1_amd64.deb TPM2 Software stack library - TSS and TCTI libraries
libtss2-tcti-tabrmd-dev_2.2.0-1_amd64.deb TPM2 Access Broker & Resource Management - static libraries and headers
libtss2-tcti-tabrmd0_2.2.0-1_amd64.deb TPM2 Access Broker & Resource Management - shared libraries
libtss2-udev_2.1.0-4_all.deb TPM2 Software stack library - udev files
libttfautohint-dev_1.8.3-2_amd64.deb Automatic font hinter - development files
libttfautohint1_1.8.3-2_amd64.deb Automatic font hinter - library
libtty-dev_0.18-2_amd64.deb terminal/ttyrec library -- development
libtty1_0.18-2_amd64.deb terminal/ttyrec library -- runtime
libtulip-core-4.8_4.8.0dfsg-2+b7_amd64.deb Tulip graph library - core runtime
libtulip-dev_4.8.0dfsg-2+b7_amd64.deb Tulip graph library - core development files
libtulip-gui-4.8_4.8.0dfsg-2+b7_amd64.deb Tulip graph library - Qt/OpenGL GUI runtime
libtulip-ogdf-4.8_4.8.0dfsg-2+b7_amd64.deb Tulip graph library - OGDF runtime
libtulip-ogl-4.8_4.8.0dfsg-2+b7_amd64.deb Tulip graph library - OpenGL runtime
libtulip-python-4.8_4.8.0dfsg-2+b7_amd64.deb Tulip graph library - Python support
libtumbler-1-0_0.2.7-2_amd64.deb library for tumbler, a D-Bus thumbnailing service
Advertisement
Advertisement